export default function useColumns() {
  const SearchColumns = [
    {
      item: { key: "buyerName", title: "采购员名称", },
      attr: {
        is: "el-popover-select-v2",
        valueKey: "name",
        referName: "CONTACTS_PARAM",
        dataMapping: { buyer: "code", },
        clearable: true,
      }
    },
    {
      item: { key: "buyManageName", title: "上级采购经理名称", },
      attr: {
        is: "el-popover-select-v2",
        valueKey: "name",
        referName: "CONTACTS_PARAM",
        dataMapping: { buyManage: "code", },
        clearable: true,
      }
    },
    {
      item: { key: "classOneNameList", title: "一级分类", },
      attr: {
        is: "el-popover-multiple-tree-select",
        referName: "MATERIALCLASSIFY_PARAM",
        placeholder: "请输入一级分类",
        valueKey: "name",
        isFirst: true,
        defaultProps: {
          label: function (data, node) {
            return data.code + "-" + data.name;
          },
          children: "children",
        },
        dataMapping: {
          classOneList: "code",
        },
        clearable: true,
      }
    },
    {
      item: { key: "enable", title: "启用状态", },
      attr: {
        is: "el-select",
        dictName: "sys_enable",
        clearable: true,
      }
    },
  ];

  const TableColumns = [
    {
      item: { key: "buyerName", title: "采购员名称", },
      attr: {}
    },
    {
      item: { key: "buyManageName", title: "上级采购经理名称", },
      attr: {}
    },
    {
      item: { key: "buyManage", title: "上级采购经理编码", },
      attr: {}
    },
    {
      item: { key: "classOneName", title: "一级分类", },
      attr: {

      }
    },
    {
      item: { key: "enable", title: "启用状态", },
      attr: {
        is: "el-dict-tag",
        dictName: "sys_enable",
      }
    },
  ].map(({ item, attr }) => ({
    attr,
    item: {
      ...item,
      sortabled: true,
      fixedabled: true,
      filterabled: true,
      hiddenabled: true,
    },
  }));
  return { SearchColumns, TableColumns }
}