
export default function useColumns() {
  const FormColumns = [
    {
      item: { key: "buyerName", title: "采购员名称", required: true, },
      attr: {
        is: "el-popover-select-v2",
        valueKey: "name",
        referName: "CONTACTS_PARAM",
        dataMapping: { buyer: "code", },
        clearable: true,
      }
    },
    {
      item: { key: "buyer", title: "采购员编码", required: true, },
      attr: {
        is: "el-input",
        readonly: true,
      }
    },
    {
      item: { key: "buyManageName", title: "上级采购经理名称", required: true, },
      attr: {
        is: "el-popover-select-v2",
        valueKey: "name",
        referName: "CONTACTS_PARAM",
        dataMapping: { buyManage: "code", },
        clearable: true,
      }
    },
    {
      item: { key: "buyManage", title: "上级采购经理编码", required: true, },
      attr: {
        is: "el-input",
        readonly: true,
      }
    },
    {
      item: { key: "classOneNameList", title: "一级分类", required: true, },
      attr: {
        is: "el-popover-multiple-tree-select",
        referName: "MATERIALCLASSIFY_PARAM",
        placeholder: "请输入一级分类",
        valueKey: "name",
        isFirst: true,
        defaultProps: {
          label: function (data, node) {
            return data.code + "-" + data.name;
          },
          children: "children",
        },
        dataMapping: {
          classOneList: "code",
        },
        clearable: true,
      }
    },
    {
      item: { key: "enable", title: "启用状态", required: true, },
      attr: {
        is: "el-select",
        dictName: "sys_enable",
        clearable: true,
      }
    },
  ].map(({ item, attr }) => {
    return {
      attr,
      item: {
        ...item,
        span: 6
      }
    }
  });
  return { FormColumns }
}